## binpac 0.43

=== debian/changelog ===
binpac (0.43-1) unstable; urgency=medium

  * New upstream version
  * Fixes CVE-2014-9586

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Feb 2015 20:34:56 +0100

binpac (0.42-1) unstable; urgency=low

  * Initial release (Closes: #752792)

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Nov 2014 23:56:18 +0100
