=== debian/changelog ===
binpac (0.44-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2015 20:57:30 +0200
