=== debian/control ===
Source: binpac
Section: devel
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9),
 cmake (>= 2.6.3),
 flex,
 bison,
Standards-Version: 3.9.6
Homepage: http://www.bro.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/binpac.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/binpac.git;a=summary

Package: binpac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high level protocol parser language
 BinPAC is a high level language for describing protocol parsers and
 generates C++ code. It is currently maintained and distributed with
 the Bro Network Security Monitor distribution, however, the generated
 parsers may be used with other programs besides Bro.
