=== debian/watch ===
version=3
https://www.bro.org/download/index.html .*/binpac-(.*)\.tar\.gz
