## binpac 0.46

=== debian/changelog ===
binpac (0.46-1) unstable; urgency=medium

  * New upstream version 0.46

 -- Hilko Bengen <bengen@debian.org>  Sun, 20 Nov 2016 22:04:45 +0100

binpac (0.44-3) unstable; urgency=medium

  * Revert "Build PIC binaries"

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Oct 2016 15:33:23 +0200

binpac (0.44-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Build PIC binaries (Closes: #837434)

  [ Hilko Bengen ]
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 29 Sep 2016 22:40:27 +0200
