=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.bro.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/binpac.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/binpac.git;a=summary
