## binpac 0.47

=== debian/changelog ===
binpac (0.47-1) unstable; urgency=medium

  * New upstream version 0.47

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 14:08:47 +0200
