## binpac 0.48

=== debian/changelog ===
binpac (0.48-1) unstable; urgency=medium

  * New upstream version 0.48
  * Bump Standards-Version, Debhelper compat level
  * Update VCS fields for salsa

 -- Hilko Bengen <bengen@debian.org>  Thu, 15 Feb 2018 15:26:28 +0100
