=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.bro.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/binpac.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/binpac.git;a=summary
+Vcs-Git: https://salsa.debian.org/bro-team/binpac.git
+Vcs-Browser: https://salsa.debian.org/bro-team/binpac
 
 Package: binpac
 Architecture: any
