## binpac 0.49

=== debian/changelog ===
binpac (0.49-1) unstable; urgency=medium

  * New upstream version 0.49
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 16 Jun 2018 15:22:23 +0200
