## binpac 0.50

=== debian/changelog ===
binpac (0.50-1) unstable; urgency=medium

  * New upstream version 0.50
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 Sep 2018 15:15:19 +0200
