=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: http://www.bro.org/
 Vcs-Git: https://salsa.debian.org/bro-team/binpac.git
 Vcs-Browser: https://salsa.debian.org/bro-team/binpac
