=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR})
 set(binpac_headers
-    binpac.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/binpac.h
     binpac_analyzer.h
     binpac_buffer.h
@@ -30,13 +29,13 @@
 
 set_target_properties(binpac_lib PROPERTIES OUTPUT_NAME binpac)
 
-if (NOT BinPAC_SKIP_INSTALL)
-    install(TARGETS binpac_lib DESTINATION lib)
-    install(FILES
-                ${binpac_headers}
-            DESTINATION
-                include
-    )
+install(TARGETS binpac_lib DESTINATION lib)
+
+if ( BRO_ROOT_DIR )
+    # Installed in binpac subdir just for organization purposes.
+    install(FILES ${binpac_headers} DESTINATION include/binpac)
+else ()
+    install(FILES ${binpac_headers} DESTINATION include)
 endif ()
 
 # This is set to assist superprojects that want to build BinPac
