=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
              COMPILE_FLAGS "--debug")
 flex_target(PACScanner pac_scan.ll ${CMAKE_CURRENT_BINARY_DIR}/pac_scan.cc)
 add_flex_bison_dependency(PACScanner PACParser)
+set_property(SOURCE pac_scan.cc APPEND_STRING PROPERTY COMPILE_FLAGS "-Wno-sign-compare")
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR})
@@ -99,11 +100,9 @@
 
 add_executable(binpac ${binpac_SRCS})
 
-if (NOT BinPAC_SKIP_INSTALL)
-    install(TARGETS binpac DESTINATION bin)
-endif ()
+install(TARGETS binpac DESTINATION bin)
 
 # This is set to assist superprojects that want to build BinPac
 # from source and rely on it as a target
-set(BinPAC_EXE binpac
+set(BinPAC_EXE ${CMAKE_CURRENT_BINARY_DIR}/binpac
     CACHE STRING "BinPAC executable" FORCE)
