=== debian/changelog ===
binpac (0.51-1) unstable; urgency=medium

  * New upstream version 0.51
  * Bump Debhelper compat level
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Dec 2018 18:08:32 +0100
