=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 11),
  cmake (>= 2.6.3),
  flex,
  bison,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: http://www.bro.org/
 Vcs-Git: https://salsa.debian.org/bro-team/binpac.git
 Vcs-Browser: https://salsa.debian.org/bro-team/binpac
