## binpac 0.54

=== debian/changelog ===
binpac (0.54-2) unstable; urgency=medium

  * Build static instead of shared library

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Sep 2019 22:51:08 +0200

binpac (0.54-1) unstable; urgency=medium

  * New upstream version 0.54
  * Update watch file, add upstream PGP key

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Sep 2019 15:39:09 +0200
