## binpac 0.55

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -104,5 +104,5 @@
 
 # This is set to assist superprojects that want to build BinPac
 # from source and rely on it as a target
-set(BinPAC_EXE ${CMAKE_CURRENT_BINARY_DIR}/binpac
+set(BinPAC_EXE ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/binpac
     CACHE STRING "BinPAC executable" FORCE)
