=== debian/changelog ===
binpac (0.55-1) unstable; urgency=medium

  * New upstream version 0.55

 -- Hilko Bengen <bengen@debian.org>  Thu, 13 Feb 2020 16:50:11 +0100
