=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.zeek.org/downloads/ binpac-(.*)\.tar\.gz
