## binpac 0.55.1

=== debian/changelog ===
binpac (0.55.1-1) unstable; urgency=medium

  * New upstream version 0.55.1
  * Update watch file

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Jun 2020 08:21:55 +0200
