=== debian/changelog ===
binpac (0.56.0-1) unstable; urgency=medium

  * New upstream version 0.56.0

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Sep 2020 21:43:47 +0200
