=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://download.zeek.org/ binpac-(.*)\.tar\.gz
