=== debian/changelog ===
binpac (0.58.0-1) unstable; urgency=medium

  * New upstream version 0.58.0
  * Bump Debhelper compat level, Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 19:36:10 +0100
