=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBINARY_PACKAGING_MODE=true
+	dh_auto_configure -- -DBINARY_PACKAGING_MODE=true -DENABLE_STATIC_ONLY=1
