## binpac 0.59.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 project(BinPAC C CXX)
 include(cmake/CommonCMakeConfig.cmake)
 
@@ -40,10 +40,10 @@
 ########################################################################
 ## System Introspection
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
-               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file(${PROJECT_SOURCE_DIR}/config.h.in
+               ${PROJECT_BINARY_DIR}/config.h)
 
-include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
+include_directories(BEFORE ${PROJECT_BINARY_DIR})
 
 ########################################################################
 ## Recurse on sub-directories
