=== debian/changelog ===
binpac (0.59.0-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Dec 2025 23:01:43 +0000

binpac (0.59.0-1) unstable; urgency=medium

  * New upstream version 0.59.0

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Dec 2022 20:27:21 +0100
